// <copyright file="ShuffleExtensionsTests.cs" company="PlaceholderCompany">
// Copyright (c) PlaceholderCompany. All rights reserved.
// </copyright>

namespace Jellyfin.Extensions.Tests
{
    using System;
    using Xunit;

    public static class ShuffleExtensionsTests
    {
        [Fact]
        public static void Shuffle_Valid_Correct()
        {
            byte[] original = new byte[1 << 6];
            Random.Shared.NextBytes(original);
            byte[] shuffled = (byte[])original.Clone();
            shuffled.Shuffle();

            Assert.NotEqual(original, shuffled);
        }
    }
}
